<template>
    <div class="edit-popup">
        <popup ref="popupRef" :title="popupTitle" :async="true" width="550px" @confirm="handleSubmit" @close="handleClose">
            <el-form ref="formRef" :model="formData" label-width="120px" :rules="formRules">
                <el-row>

                    <el-col :span="24">
                        <el-form-item label="工种名称" prop="type_name" :rules="[{ required: true, message: '不可为空', trigger: 'blur' }]">
                            <el-input v-model="formData.type_name" clearable placeholder="请输入工种名称" />
                        </el-form-item> </el-col>
                    <el-col :span="24">
                        <el-form-item label="工种单价" prop="type_unit_price" :rules="[{ required: true, message: '不可为空', trigger: 'blur' }]">
                            <el-input v-model="formData.type_unit_price" clearable placeholder="请输入工种单价" />
                        </el-form-item> </el-col>
                    <el-col :span="24">
                        <el-form-item label="每日生活费" prop="per_daily_living" :rules="[{ required: true, message: '不可为空', trigger: 'blur' }]">
                            <el-input v-model="formData.per_daily_living" clearable placeholder="请输入每日生活费" />
                        </el-form-item> </el-col>


                </el-row>
            </el-form>
        </popup>


    </div>
</template>

<script lang="ts" setup name="procurementContractEdit">
import type { FormInstance } from 'element-plus'
import Popup from '@/components/popup/index.vue'
import projectDialog from '@/components/project/index.vue'
import { projectjobtypeAdd, projectjobtypeEdit, projectjobtypeDetail } from '@/api/project_job_type'

import { timeFormat } from '@/utils/util'
import type { PropType } from 'vue'
defineProps({
    dictData: {
        type: Object as PropType<Record<string, any[]>>,
        default: () => ({})
    }
})
const emit = defineEmits(['success', 'close'])
const formRef = shallowRef<FormInstance>()
const popupRef = shallowRef<InstanceType<typeof Popup>>()
const mode = ref('add')

const showDialog = ref(false)
const project_name = ref('')
const project_code = ref('')
const formDataannex = reactive([])
import feedback from '@/utils/feedback'

// 弹窗标题
const popupTitle = computed(() => {
    return mode.value == 'edit' ? '编辑工种' : '新增工种'
})

// 表单数据
const formData = reactive({
    id: '',
    per_daily_living: '',
    type_unit_price: '',
    type_name: ''
})


// 表单验证
const formRules = reactive<any>({

})




// 获取详情
const setFormData = async (data: Record<any, any>) => {
    for (const key in formData) {
        if (data[key] != null && data[key] != undefined) {
            //@ts-ignore
            formData[key] = data[key]
        }
    }
}

const getDetail = async (row: Record<string, any>) => {
    const data = await projectjobtypeDetail({
        id: row.id
    })
    setFormData(data)
}


// 提交按钮
const handleSubmit = async () => {

    await formRef.value?.validate()
    const data = { ...formData, }
    mode.value == 'edit'
        ? await projectjobtypeEdit(data)
        : await projectjobtypeAdd(data)
    popupRef.value?.close()
    emit('success')
}

//打开弹窗
const open = (type = 'add') => {
    mode.value = type
    popupRef.value?.open()
}

// 关闭回调
const handleClose = () => {
    emit('close')
}


defineExpose({
    open,
    setFormData,
    getDetail
})
</script>
